Subject: Re: [PATCH] powerpc/85xx: allow CONFIG_PHYS_64BIT to be selectable

From: Tabi Timur-B04825 <[email-masked]>
Date: Fri, 24 Feb 2012 03:04:36 +0000

Li Yang-R58472 wrote:

> Even though the user still need to know the addressing mode that u-boot
> is using.  It won't work if the addressing mode of u-boot and device
> tree are different.

U-Boot will tell the user if the DT does not match.  I added code to 
U-Boot to do that.  So if you have a 36-bit U-Boot and a 32-bit DT, then 
you will get a warning.  If you have a 36-bit U-boot and a 36-bit DT and a 
32-bit kernel, you will get nothing.  But if you have a 32-bit U-boot and 
a 32-bit DT and a 36-bit kernel, then that will work.  A 36-bit kernel 
works with 32-bit *and* 36-bit DTs.  This is why a 36-bit kernel should be 
the default.

-- 
Timur Tabi
Linux kernel developer at Freescale